<div class="container">
  <div class="row justify-content-center">
    <div class="col-8 col-md-10">
      <div class="row justify-content-center align-items-center">
        <div class="col">
          <div class="row justify-content-center align-items-center card-headers">
            <div class="col-auto header-icon left-padding">
              <mat-icon class="material-icons-round">question_answer</mat-icon>
            </div>
            <div class="col-4">
              <h2 class="list-title left-padding">Recently asked questions</h2>
            </div>
          </div>
          <mat-card class="homepage-card">
            <mat-card-content>
              <div
                class="list-box row justify-content-center"
                [ngClass]="{ 'align-items-center': discussions?.length == 0 }"
              >
                <div class="col">
                  <h2 class="nothing-here" *ngIf="discussions?.length == 0; else elseBlock">
                    You haven't posted any discussions yet!
                  </h2>
                  <ng-template #elseBlock>
                    <app-homepage-card
                      *ngFor="let discussion of discussions"
                      [routerLink]="['../discussion/' + discussion._id]"
                      [cardObject]="{
                        iconField: 'question_answer',
                        stringField1: discussion.title,
                        stringField2: discussion.course?.name,
                        dateField: discussion.creationDate
                      }"
                    ></app-homepage-card>
                  </ng-template>
                </div>
              </div>
            </mat-card-content>
          </mat-card>
        </div>
      </div>
      <hr />
      <div class="row justify-content-center">
        <div class="col">
          <div class="row justify-content-center align-items-center card-headers">
            <div class="col-auto header-icon">
              <mat-icon class="material-icons-round">people_outline</mat-icon>
            </div>
            <div class="col-4">
              <h2 class="list-title">Recently connected to</h2>
            </div>
          </div>
          <mat-card class="homepage-card">
            <mat-card-content>
              <div
                class="list-box row justify-content-center"
                [ngClass]="{ 'align-items-center': !connections }"
              >
                <div class="col">
                  <h2 class="nothing-here" *ngIf="!connections; else elseBlock2">
                    You haven't made any connections yet!
                  </h2>
                  <ng-template #elseBlock2>
                    <app-homepage-card
                      *ngFor="let connection of connections"
                      [routerLink]="[
                        '../user-profile/' +
                          (isCurrentUser(connection.fromUser)
                            ? connection.toUser._id
                            : connection.fromUser._id)
                      ]"
                      [cardObject]="{
                        pictureField: isCurrentUser(connection.fromUser)
                          ? connection.toUser.profilePicture
                          : connection.fromUser.profilePicture,
                        stringField1: isCurrentUser(connection.fromUser)
                          ? (connection.toUser | name)
                          : (connection.fromUser | name),
                        stringField2: connection.course?.name,
                        dateField: connection.responseDate
                      }"
                    ></app-homepage-card>
                  </ng-template>
                </div>
              </div>
            </mat-card-content>
          </mat-card>
        </div>
      </div>
      <hr />
      <div class="row justify-content-center">
        <div class="col">
          <div class="row justify-content-center align-items-center card-headers">
            <div class="col-auto header-icon left-padding">
              <mat-icon class="material-icons-round">menu_book</mat-icon>
            </div>
            <div class="col-4">
              <h2 class="list-title">Recently joined courses</h2>
            </div>
          </div>
          <mat-card class="homepage-card courses">
            <mat-card-content>
              <div
                class="list-box row justify-content-center"
                [ngClass]="{ 'align-items-center': !joinedCoursesMember }"
              >
                <div class="col">
                  <h2 class="nothing-here" *ngIf="!joinedCoursesMember; else elseBlock3">
                    You haven't joined any courses yet!
                  </h2>
                  <ng-template #elseBlock3>
                    <app-homepage-card
                      *ngFor="let course of joinedCoursesMember"
                      [routerLink]="['../course/' + course._id]"
                      [cardObject]="{
                        iconField: 'school',
                        stringField1: course.name,
                        stringField2: course.university.name,
                        dateField: getJoinedDate(course)
                      }"
                    ></app-homepage-card>
                  </ng-template>
                </div>
              </div>
            </mat-card-content>
          </mat-card>
        </div>
      </div>
    </div>
  </div>
</div>
